Bug 100086 - Accessible events for selection of multiple cells on sheet are not correctly exposed to screen reader
Summary: Accessible events for selection of multiple cells on sheet are not correctly ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: accessibility
Depends on:
Blocks: a11y
  Show dependency treegraph
 
Reported: 2016-05-27 11:06 UTC by minakonono3519
Modified: 2019-08-07 15:55 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description minakonono3519 2016-05-27 11:06:41 UTC
This occurs in EDITING when using a screen reader NVDA 2016.1jp.

Procedures
1)Enter 'apple' in cell A1, 'orange' in A2, 'pair' in A3.
2)Focus the A1 cell by cursor.
3)Press shift+down key.
4)Press shift+down key.

Readouts by NVDA at the procedure above
2)apple A1
3)(no sound)
4)(no sound)

We would like LibreOffice Calc to read out them like in Excel, if not, at least in OpenOfficeCalc 4.1.1.

Readouts when Excel is used
3)from A1 apple to A2 orange selected
4)from A1 apple to A3 pear selected

Readouts when OpenOfficeCalc 4.1.1 is used
3)orange selected A2
4)pear selected A3
Comment 1 V Stuart Foote 2016-05-27 18:12:31 UTC
On Windows 10 Pro 64-bit en-US withVersion: 5.1.3.2 (x64)
Build ID: 644e4637d1d8544fd9f56425bd6cec110e49301b
CPU Threads: 8; OS Version: Windows 6.19; UI Render: GL; 
Locale: en-US (en_US)

With NVDA 2016.1 installed and functioning, accprode (w/x86 JRE) monitoring events.

Confirming. Seems like we get additional accessible events beyond doing the cell selection.

Could someone check what Orca exposes.
Comment 2 am_dxer 2016-11-29 14:25:23 UTC
I tested with Orca on FreeBSD. Nothing is spoken when pressing Shift in conjunction with the arrow keys. It seems as though the cells are selected, however, nothing is spoken by the screen readers to indicate the extent of the selection.
Comment 3 Yousuf Philips (jay) (retired) 2016-11-29 16:16:25 UTC
Tested Orca on Ubuntu Mate and step 3 and 4 resulted in no sound.
Comment 4 am_dxer 2016-12-21 18:41:43 UTC
Should the importance of this bug get upgraded? This is really probably a show stopper for assistive technology users trying to use the spreadsheet application. When selecting a large group of cells, it is extremely difficult to count the cells with no audio feedback.
Comment 5 V Stuart Foote 2016-12-21 19:27:30 UTC
(In reply to am_dxer from comment #4)
> Should the importance of this bug get upgraded?

No the priority and impact are correctly set. The "a11y" meta and "accessibility" keyword keep topic in focus for Calc developers.
Comment 6 Yousuf Philips (jay) (retired) 2016-12-22 10:36:13 UTC
Kohei just finished fixing bug 71409, so hopefully he could look at this a11y calc bug as well.
Comment 7 am_dxer 2017-06-26 17:26:16 UTC
Repro in 4.4.0.2. Must be older.
Comment 8 am_dxer 2017-06-26 19:35:59 UTC
Repro in 3.5.7.2. Must be older.
Comment 9 Alex ARNAUD 2017-07-13 15:04:35 UTC
Dear all,

Joanie: Do we have the correct events emitted on GNU/Linux ?

Since the resolution of the bug 93825 we have "object:state-changed:selected" events emitted but I'm not sure it is sufficient for Orca.

Best regards.
Comment 10 QA Administrators 2018-07-14 02:47:55 UTC Comment hidden (obsolete)
Comment 11 Peter Vágner 2018-08-03 12:18:11 UTC
Isn't this essentially a duplicate of 93825?

Still I think there are more issues with this implementation we just slowly need to document it.

=== Steps to reproduce ===
* Grab the accessible listener from 93825
* Launch libreoffice calc spread sheet
* Press shift+space to select entire row
* Now launch the accessible event listener in a terminal
* Focus back to the calc window
* Press and hold down shift key and repeatedly press left arrow key several times. 5 or 10 times is fine to see the issue in action.
* Examine the event listener output in the terminal window

=== Expected result ===
Corresponding with switching back into the calc window single object:active-descendant-changed is expected.
Then number of object:selection-changed events is expected for each selection contraction. So if you have pressed shift+left arrow keys 5 times you should have at least 6 events printed to the terminal window.

=== Actual result ===
Corresponding accessibility event is only being sent for the first selection change resulting from pressing shift+left arrow key. Second, third and all other shift+left key presses don't generate appropriate accessibility events.


=== Notes ===
I think windows screen readers such as NVDA don't handle this at all so on windows work shal be done on both ends of the stack.
Also I think there might be more issues like this we haven't yet clearly documented them.
Comment 12 Alex ARNAUD 2018-08-03 13:42:40 UTC
I've added Tamas in CC to answer to Peter comment #11 because he has resolved the issue #93825

Best regards,
Alex.
Comment 13 QA Administrators 2019-08-04 05:49:18 UTC
Dear minakonono3519,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug